Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039364
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2018-09-27 16:472018-11-05 10:38
Reportercollazoandy4View Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision2243a5764774
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039364: A new ProcessHQLQuery to export Product Characteristic and ProductCharacteristicConf is needed

DescriptionA new ProcessHQLQuery to export Product Characteristic and ProductCharacteristicConf is needed. Also the ProcessHQLQuery have to filter by m_product_id
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039365 closedRetail A new ProcessHQLQuery to export ProductCharacteristicConf is needed 

-  Notes
(0107730)
hgbot (developer)
2018-11-05 10:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2243a57647740ff69d9698fa42bc2c00ee5be31a
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Wed Oct 31 15:39:16 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2243a57647740ff69d9698fa42bc2c00ee5be31a [^]

Fixed issue 39364: A new ProcessHQLQuery to export Product Characteristic
and ProductCharacteristicConf is needed

This commit includes:
  * A new processHQLQuery has been created to get the information needed.
  * The new service has been included in Mobile Services window.
  * The processHQLQuery could apply a optional filter from specific products.

---
M src-db/database/sourcedata/OBMOBC_SERVICES.xml
A src/org/openbravo/retail/posterminal/master/ProductCharacteristicAndConfiguration.java
A src/org/openbravo/retail/posterminal/master/ProductCharacteristicAndConfigurationProperties.java
---
(0107731)
hgbot (developer)
2018-11-05 10:38

Repository: tools/automation/pi-mobile
Changeset: 7788d62800bb80248263be7d445bb9cfcd155d2a
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Wed Oct 31 15:41:48 2018 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/7788d62800bb80248263be7d445bb9cfcd155d2a [^]

Verifies issue 39364: A new ProcessHQLQuery to export Product Characteristic
and ProductCharacteristicConf is needed

Added new integration test POSProductChAndConfRequest.

---
A src-test/org/openbravo/test/mobile/retail/pack/webservice/tests/retailapi/POSProductChAndConfRequest.java
---

- Issue History
Date Modified Username Field Change
2018-09-27 16:47 collazoandy4 New Issue
2018-09-27 16:47 collazoandy4 Assigned To => Retail
2018-09-27 16:47 collazoandy4 Triggers an Emergency Pack => No
2018-09-27 17:02 collazoandy4 Description Updated View Revisions
2018-10-10 11:54 aferraz Relationship added related to 0039365
2018-10-31 15:36 jorge-garcia Summary A new ProcessHQLQuery to export Product Characteristic is needed => A new ProcessHQLQuery to export Product Characteristic and ProductCharacteristicConf is needed
2018-10-31 15:36 jorge-garcia Description Updated View Revisions
2018-10-31 15:49 jorge-garcia Status new => scheduled
2018-10-31 15:49 jorge-garcia Assigned To Retail => jorge-garcia
2018-11-05 10:38 hgbot Checkin
2018-11-05 10:38 hgbot Note Added: 0107730
2018-11-05 10:38 hgbot Status scheduled => resolved
2018-11-05 10:38 hgbot Resolution open => fixed
2018-11-05 10:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2243a57647740ff69d9698fa42bc2c00ee5be31a [^]
2018-11-05 10:38 hgbot Checkin
2018-11-05 10:38 hgbot Note Added: 0107731


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker